Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 167366 - WS Support allows to generate service for only one port type
WS Support allows to generate service for only one port type
Status: VERIFIED FIXED
Product: webservices
Classification: Unclassified
Component: Code
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Milan Kuchtiak
issues@webservices
67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-19 13:27 UTC by Milan Kuchtiak
Modified: 2009-07-20 13:56 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Milan Kuchtiak 2009-06-19 13:27:14 UTC
When wsdl file has 2 port types(or more), the WS from WSDL wizard allows to implement only one port type.
Moreover, when implementing another endpoints manually, only one service node is created in Logical view.
Comment 1 Milan Kuchtiak 2009-06-22 16:08:06 UTC
Fixed.

Details:
http://hg.netbeans.org/main/rev/19f5a27fd622
Comment 2 Quality Engineering 2009-06-23 07:43:44 UTC
Integrated into 'main-golden', will be available in build *200906230201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/19f5a27fd622
User: mkuchtiak@netbeans.org
Log: #167366: allow to implement multiple ports from one wsdl file
Comment 3 Jaroslav Pospisil 2009-06-29 13:49:41 UTC
v.
Comment 4 pgebauer 2009-07-02 11:51:39 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/a41d94ca87d4


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo